%define xtag X11R7.2
Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary: 	XCB support libraries
Name: 		xcb-util
Version: 	0.3.6
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://xcb.freedesktop.org/wiki/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0: 	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2

BuildRequires:	xorg-x11-proto-devel
BuildRequires:  glibc-devel
BuildRequires:  libxcb-devel
BuildRequires:	gperf

%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.

%package devel
Summary: 	X.Org X11 xcb util development package
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
X.Org X11 xcb util development package


%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
	--disable-dependency-tracking \
%if ! %{with_static}
	--disable-static
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' | xargs rm -f -- || :

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libxcb-*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libxcb-*.so
%{_includedir}/xcb/xcb_atom.h
%{_includedir}/xcb/xcb_aux.h
%{_includedir}/xcb/xcb_bitops.h
%{_includedir}/xcb/xcb_event.h
%{_includedir}/xcb/xcb_icccm.h
%{_includedir}/xcb/xcb_image.h
%{_includedir}/xcb/xcb_keysyms.h
%{_includedir}/xcb/xcb_pixel.h
%{_includedir}/xcb/xcb_property.h
%{_includedir}/xcb/xcb_renderutil.h
%{_includedir}/xcb/xcb_reply.h
%{_pkgconfig}/xcb-atom.pc
%{_pkgconfig}/xcb-aux.pc
%{_pkgconfig}/xcb-event.pc
%{_pkgconfig}/xcb-icccm.pc
%{_pkgconfig}/xcb-image.pc
%{_pkgconfig}/xcb-keysyms.pc
%{_pkgconfig}/xcb-property.pc
%{_pkgconfig}/xcb-renderutil.pc
%{_pkgconfig}/xcb-reply.pc

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.6-2
- rebuilt
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.3.6-1
- Version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-2
- rebuilt
* Mon Apr 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-1
- Version update
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.3.3-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.2-1
- Initial release
